<template>
  <div class="public-table">
    <el-col class="el-col">
      <el-table
          border
          tooltip-effect="dark"
          :data="data"
      >
        <el-table-column prop="name" label="序号"></el-table-column>
        <el-table-column prop="name" label="类别"></el-table-column>
        <el-table-column prop="date" label="固废名称"></el-table-column>
        <el-table-column prop="address" label="代码"></el-table-column>
        <el-table-column prop="address" label="产生量"></el-table-column>
        <el-table-column prop="name" label="储存量"></el-table-column>
        <el-table-column prop="date" label="产生装置"></el-table-column>
      </el-table>
    </el-col>
  </div>
</template>

<script>
export default {
  name: 'PublicTable',
  props: ['requestSolidWasteData'],
  data () {
    return {
      data: []
    }
  },
  mounted () {
    this.$nextTick(() => {
      this.getSolidWasteData()
    })
  },
  methods: {
    getSolidWasteData () {
      // const data = requestSolidWasteData
      // console.log(data)
    }
  }
}
</script>

<style lang="less" scoped>
.public-table {

}
</style>
